window.onload = function () {
    try {
        chrome.browserAction.onClicked.addListener(function (a) {
            getCurrentTab(function (tab) {
                var url = tab.url;
                var urltemp = "https://www.amazon.com/Best-Sellers/zgbs/ref=zg_bs_unv_hpc_0_2314207011_4_sbg_1";
                if (url.indexOf('amazon.co.uk') > -1) {
                    urltemp = "https://www.amazon.co.uk/Best-Sellers-Welcome/zgbs/ref=zg_bs_unv_ce_0_16700224031_5_sbg_1";
                } else if (url.indexOf('amazon.fr') > -1) {
                    urltemp = "https://www.amazon.fr/gp/bestsellers/ref=zg_bs_unv_ce_0_ce_1_sbg_1";
                } else if (url.indexOf('amazon.de') > -1) {
                    urltemp = "https://www.amazon.de/gp/bestsellers/ref=zg_bs_unv_k_0_k_1_sbg_1";
                } else if (url.indexOf('amazon.in') > -1) {
                    urltemp = "https://www.amazon.in/gp/bestsellers/ref=zg_bs_unv_b_0_1318080031_3_sbg_1";
                } else if (url.indexOf('amazon.co.jp') > -1) {
                    urltemp = "https://www.amazon.co.jp/gp/bestsellers/ref=zg_bs_unv_fb_0_71224051_3_sbg_1";
                } else if (url.indexOf('amazon.ca') > -1) {
                    urltemp = "https://www.amazon.ca/Best-Sellers-generic/zgbs/?ref_=nav_cs_bestsellers_sbg_1";
                } else if (url.indexOf('amazon.com.mx') > -1) {
                    urltemp = "https://www.amazon.com.mx/gp/bestsellers/ref=zg_bs_unv_k_0_k_1_sbg_1";
                } else if (url.indexOf('amazon.it') > -1) {
                    urltemp = "https://www.amazon.it/gp/bestsellers/ref=zg_bs_unv_pc_0_pc_1_sbg_1";
                } else if (url.indexOf('amazon.es') > -1) {
                    urltemp = "https://www.amazon.es/gp/bestsellers/ref=zg_bs_unv_m_0_917456031_2_sbg_1";
                } else if (url.indexOf('amazon.ae') > -1) {
                    urltemp = "https://www.amazon.ae/gp/bestsellers/ref=zg_bs_unv_0_11996654031_5_sbg_1";
                }

                chrome.tabs.update(tab.id, {
                    'url': urltemp,
                    'selected': true
                });
            });            
        });
    } catch (a) {
        console.log(a);
    }
};

function getCurrentTab(callback) {
    chrome.tabs.query({
        active: true,
        windowId: chrome.windows.WINDOW_ID_CURRENT
    }, function (tabs) {
        if (tabs && tabs[0]) {
            callback(tabs[0]);
        }
    });
}